### Hierarchy

- IDBFactory

## Index

### Methods

- cmp
- deleteDatabase
- open

## Methods

### cmp

- cmp(first: any, second: any): number

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:8833

  Compares two values as keys. Returns -1 if key1 precedes key2, 1 if key2 precedes key1, and 0 if the keys are equal. Throws a "DataError" DOMException if either input is not a valid key.

  #### Parameters

  - ##### first: any

  - ##### second: any

  #### Returns number

### deleteDatabase

- deleteDatabase(name: string): IDBOpenDBRequest

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:8839

  Attempts to delete the named database. If the database already exists and there are open connections that don't close in response to a versionchange event, the request will be blocked until all they close. If the request is successful request's result will be null.

  #### Parameters

  - ##### name: string

  #### Returns IDBOpenDBRequest

### open

- open(name: string, version?: undefined | number): IDBOpenDBRequest

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:8848

  Attempts to open a connection to the named database with the specified version. If the database already exists with a lower version and there are open connections that don't close in response to a versionchange event, the request will be blocked until all they close, then an upgrade will occur. If the database already exists with a higher version the request will fail. If the request is successful request's result will be the connection.

  #### Parameters

  - ##### name: string

  - ##### Optional version: undefined | number

  #### Returns IDBOpenDBRequest

Generated using TypeDoc